// The British Westland AH-64 Apache Longbow by MadDogX (MDX)
//LukeAQ@web.de

#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot			0
#define WeaponSlotPrimary		1
#define WeaponSlotSecondary		16
#define WeaponSlotItem			256
#define WeaponSlotBinocular		4096
#define WeaponHardMounted		65536

class CfgPatches
{
	class MDXWAH64
	{
		units[] = {MDXWAH64};
		weapons[] = {};
		requiredVersion = 1.30;
	};
	class MDXWAH64d
	{
		units[] = {MDXWAH64d};
		weapons[] = {};
		requiredVersion = 1.30;
	};
	class MDXWAH64u
	{
		units[] = {MDXWAH64u};
		weapons[] = {};
		requiredVersion = 1.30;
	};
	class MDXCRV7Launcher
	{
		units[] = {MDXCRV7Launcher};
		weapons[] = {};
		requiredVersion = 1.30;
	};
	class MDXAGM114Launcher
	{
		units[] = {MDXAGM114Launcher};
		weapons[] = {};
		requiredVersion = 1.30;
	};
	class MDXStarStreakLauncher
	{
		units[] = {MDXStarStreakLauncher};
		weapons[] = {};
		requiredVersion = 1.30;
	};
	class MDXM230E1
	{
		units[] = {MDXM230E1};
		weapons[] = {};
		requiredVersion = 1.30;
	};
};

class CfgAmmo
{
	
	class default {};
	class AT3: Default {};
	class Hellfire : AT3 {};
	class MDXCRV7Launcher : Hellfire
	{	
		hit=400;
   		indirectHit=15;
   		indirectHitRange=20;
   		cost=2;
		maneuvrability=15.000000;
		maxControlRange=10000;	

	};

	class MDXAGM114Launcher : Hellfire
	{	
		hit=1500;
   		indirectHit=50;
   		indirectHitRange=50;
   		cost=2;
		maneuvrability=5.000000;
		maxControlRange=3000;	

	};

	class MDXStarStreakLauncher : Hellfire
	{	
		hit=600;
   		indirectHit=50;
   		indirectHitRange=5;
   		cost=2;
		maneuvrability=25.000000;
		maxControlRange=3000;	

	};
	
	class BulletSingle: default {};
	class MDXM230E1: BulletSingle
	{
		hit=17;
		indirectHit=5;
		indirectHitRange=0.100000;
		model="shell";
		simulation="shotBullet";
		//simulationStep=0.050000;
		soundFly[]={"objects\bulletnoise",0.251189,0.700000};
		visibleFire=1;
		audibleFire=1;
		flash="gunfire";
		minRange=10;
		minRangeProbab=0.100000;
		midRange=750;
		midRangeProbab=0.380000;
		maxRange=1500;
		maxRangeProbab=0.40000;
		//cartridge="FxCartridge";
		cost=0.000000;		
		thrust=50;
		//simulation="shotRocket";
		simulationStep=0.050000;
		thrustTime=1000.000000;
		maneuvrability=0.000000;
		maxControlRange=0;	
		explosive=0;	
		visibleFireTime=0;
		
		tracerColor[]={0.700000,0.700000,0.500000,0.400000};
		tracerColorR[]={0.700000,0.700000,0.500000,0.400000};	
		
		sideAirFriction=0;
		cartridge="";
	};	


};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Air: AllVehicles {};
	class Helicopter: Air {};
	class AH64: Helicopter {};
	class MDXWAH64: AH64
	{
		picture=\MDXWAH64\WAH64.paa;
		crew = SoldierWPilot;
		scope=public;
		side=TWest;
		displayName="WAH-64 Longbow";
		nameSound="chopper";
		accuracy=0.30;
		driverAction = ManActAH64Pilot;
		driverOpticsModel="optika_heli_gunner";		
		hasGunner = 1;
		gunnerAction = ManActAH64Gunner;
		maxSpeed = 235;
		irScanRange = 5000;
		irScanGround = true;
		PilotCanSee = 31;
		NightVision=true;
		class ViewOptics
		{
			initAngleX=0; minAngleX=-30; maxAngleX=30;
			initAngleY=0; minAngleY=-86; maxAngleY=86;
			initFov=0.1; minFov=0.03; maxFov=1.2;
		};
		soundEngine[]={\MDXWAH64\WAH64.wav,db+25,1.1};
		armor=280;
		cost=10000000;
		model=\MDXWAH64\WAH64.p3d;
		rotorBig = vrtule_velka;
		rotorBigBlend = vrtule_velka_bl_;
		rotorSmall = vrtule_mala;
		rotorSmallBlend = vrtule_mala_bl;				
		weapons[]={MDXM230E1,MDXAGM114Launcher, MDXCRV7Launcher, MDXStarstreakLauncher};
		magazines[]={MDXM230E1,MDXAGM114Launcher, MDXCRV7Launcher, MDXStarstreakLauncher};
		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.6, 0.9, 1};

	};
	class MDXWAH64d: MDXWAH64
	{
		picture=\MDXWAH64\WAH64.paa;
		crew = SoldierWPilot;
		scope=public;
		side=TWest;
		displayName="WAH-64 Longbow desert";
		nameSound="chopper";
		accuracy=0.30;
		driverAction = ManActAH64Pilot;
		driverOpticsModel="optika_heli_gunner";		
		hasGunner = 1;
		gunnerAction = ManActAH64Gunner;
		maxSpeed = 235;
		irScanRange = 5000;
		irScanGround = true;
		PilotCanSee = 31;
		NightVision=true;
		class ViewOptics
		{
			initAngleX=0; minAngleX=-30; maxAngleX=30;
			initAngleY=0; minAngleY=-86; maxAngleY=86;
			initFov=0.1; minFov=0.03; maxFov=1.2;
		};
		soundEngine[]={\MDXWAH64\WAH64.wav,db+25,1.1};
		armor=280;
		cost=10000000;
		model=\MDXWAH64\WAH64d.p3d;
		rotorBig = vrtule_velka;
		rotorBigBlend = vrtule_velka_bl_;
		rotorSmall = vrtule_mala;
		rotorSmallBlend = vrtule_mala_bl;				
		weapons[]={MDXM230E1,MDXAGM114Launcher, MDXCRV7Launcher, MDXStarstreakLauncher};
		magazines[]={MDXM230E1,MDXAGM114Launcher, MDXCRV7Launcher, MDXStarstreakLauncher};
		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.6, 0.9, 1};
	}	
	class MDXWAH64u: MDXWAH64
	{
		picture=\MDXWAH64\WAH64.paa;
		crew = SoldierWPilot;
		scope=public;
		side=TWest;
		displayName="WAH-64 Longbow night";
		nameSound="chopper";
		accuracy=0.30;
		driverAction = ManActAH64Pilot;
		driverOpticsModel="optika_heli_gunner";		
		hasGunner = 1;
		gunnerAction = ManActAH64Gunner;
		maxSpeed = 235;
		irScanRange = 5000;
		irScanGround = true;
		PilotCanSee = 31;
		NightVision=true;
		class ViewOptics
		{
			initAngleX=0; minAngleX=-30; maxAngleX=30;
			initAngleY=0; minAngleY=-86; maxAngleY=86;
			initFov=0.1; minFov=0.03; maxFov=1.2;
		};
		soundEngine[]={\MDXWAH64\WAH64.wav,db+25,1.1};
		armor=280;
		cost=10000000;
		model=\MDXWAH64\WAH64u.p3d;
		rotorBig = vrtule_velka;
		rotorBigBlend = vrtule_velka_bl_;
		rotorSmall = vrtule_mala;
		rotorSmallBlend = vrtule_mala_bl;				
		weapons[]={MDXM230E1,MDXAGM114Launcher, MDXCRV7Launcher, MDXStarstreakLauncher};
		magazines[]={MDXM230E1,MDXAGM114Launcher, MDXCRV7Launcher, MDXStarstreakLauncher};
		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.6, 0.9, 1};
	}	

}
	

class CfgWeapons
{
	class default	{};
	class MGun:default {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncher: AT3Launcher {};
	class HellfireLauncherApach: HellfireLauncher {};
	class MDXCRV7Launcher : HellfireLauncherApach
	{	
		count=76;
		reloadTime=0.5;
		ammo=MDXCRV7Launcher;
		sound[]={"\MDXWAH64\CRV7.wav",db+30,1};
		displayName = "CRV7";
		displayNameMagazine = "CRV7";
		shortNameMagazine = "CRV7";
		initSpeed=100;
		threat[]={0.1,0.5,1};
	};

	class MDXAGM114Launcher : HellfireLauncher
	{	
		count=16;
		reloadTime=2.5;
		ammo=MDXAGM114Launcher;
		sound[]={"\MDXWAH64\AGM114.wav",db+30,1};
		displayName = "AGM-114";
		displayNameMagazine = "AGM-114";
		shortNameMagazine = "AGM-114";
		initSpeed=50;
		threat[]={0.1,1,0.3};
	};

	class MDXStarstreakLauncher : HellFireLauncherApach
	{	
		count=4;
		reloadTime=1.5;
		ammo=MDXStarstreakLauncher;
		sound[]={"\MDXWAH64\StarStreak.wav",db+30,1};
		displayName = "Star Streak AAM";
		displayNameMagazine = "Star Streak AAM";
		shortNameMagazine = "Star Streak AAM";
		initSpeed=350;
		threat[]={0.1,0.1,1};
	};

	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class MachineGun30A10: MachineGun30 {};
	class MDXM230E1: MachineGun30	
	{
		displayName="M-230 E1";
		ammo=MDXM230E1;
		count=1200;
		initSpeed=1000;
		sound[]={"\MDXWAH64\M230E1.wav",db+55,1};
		soundContinuous=0;
		reloadtime=0.025;
	};	

};